#ifndef HTTPGEJOBTICKETS_H
#define HTTPGEJOBTICKETS_H
#include <QThread>
#include <QNetworkAccessManager>
#include <QtQml/qqml.h>

class HttpGetJobTickets: public QThread
{
    Q_OBJECT

    QML_NAMED_ELEMENT(HttpGetJobTickets)
public:
    explicit HttpGetJobTickets(QObject *parent=nullptr);
    ~HttpGetJobTickets();
protected:
    void run() override;
    void cleanJobTicketsModel();
private:
    void httpRequestGetJobTickets(void);
public slots:
    void slotHttpResponseGetJobTickets(QByteArray data);
signals:
    void signalGetRequestData(quint64 id, QString postUrl, QByteArray data, QString token);
    void signalJobTicketsReturnStat(int stat, const QString& msg);
};

#endif // HTTPGEJOBTICKETS_H
